
ONE Mercury - Task #3346

Feature # 3318 (Rejected): Mercury UI improvements from ESIP feedback need to be addressed

Improve geographic components of the advanced search

2012-10-18 19:46 - Chris Jones

Status: Rejected Start date: 2012-10-18

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 0%

Category:  Estimated time: 40.00 hours

Target version:    

Story Points:    

Description

The openlayers version of the map has been confusing to users.

Replace it with a more simplified map interface using the Google Maps API.  See 

https://cn-dev-unm-1.test.dataone.org/d1Search/search.html.

Replace the fixed-place name search to use the Google Maps API place name search. See 

http://rjshade.com/projects/gmaps-autocomplete/. 

Re-design the 'refinement' display to look like refinements on the results page.  

Allow the user to move the bounding box if possible via the Google Maps API.

History

#1 - 2012-10-18 19:49 - Chris Jones

- Description updated

#2 - 2012-12-12 17:13 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#3 - 2013-01-14 21:48 - Dave Vieglais

- Estimated time set to 40.00

- translation missing: en.field_remaining_hours set to 40.0

#4 - 2013-03-01 18:37 - Skye Roseboom

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.10-Block.2.1

#5 - 2013-04-02 16:12 - Skye Roseboom

- Target version deleted (2013.10-Block.2.1)

#6 - 2018-01-09 02:35 - Dave Vieglais

- Status changed from New to Rejected
